@font-face {
    font-family: 'Commissioner';
    src: url("../font/Commissioner-Regular.woff2") format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Commissioner';
    src: url("../font/Commissioner-Bold.woff2") format('woff2');
    font-weight: bold;
    font-style: normal;
}

html {
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: block;
    font-family: Commissioner, sans-serif;
}

body {
    position: relative;
    padding: 0;
    margin: 0;
    display: block;
    width: 100%;
    height: 100%;
    background-color: #6a7c4a;
}

html, body {
    touch-action: none;
    -webkit-touch-callout: none;
    -webkit-tap-highlight-color: transparent;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    outline: none;
}

#canvas_stage {
    touch-action: none;
    -webkit-tap-highlight-color: transparent;
    width: 100%;
    height: 100%;
}

#canvas_stage, canvas, button {
    -webkit-tap-highlight-color: transparent;
}

#loader_wrapper {
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#loader_version {
    position: absolute;
    top: 4vmin;
    right: 2vmin;
    padding-bottom: 0.5em;
    font-size: 3.2vmin;
    color: white;
}

#loader_bg {
    width: 100%;
    height: 100%;
    background: url("../images/bg_v.jpg") no-repeat;
    -webkit-background-size: 100% 100%;
    background-size: 100% 100%;
}

@media (orientation: landscape) {
    #loader_bg {
        background-image: url("../images/bg_h.jpg");
    }
}

@media (orientation: portrait) {
    #loader_bg {
        background-image: url("../images/bg_v.jpg");
    }
}

#loader_icon {
    position: absolute;
    top: 50%;
    left: 50%;
    height: 170%;
    transform: translateX(-50%) translateY(-50%);
}

@media (orientation: landscape) {
    #loader_wrapper {
        width: 50%;
        height: 50%;
    }
}

@media (orientation: portrait) {
    #loader_wrapper {
        width: 75%;
        height: 30%;
    }
}

#loader_status {
    position: absolute;
    color: white;
    text-align: center;
    font-size: 3.2vmin;
    top: 120%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    min-width: 50vmin;
    max-width: 80vmin;
}

#loader_status.load_error {
    background-color: #eb111b;
    border-radius: 5px;
    padding: 2.5vmin 4vmin;
    top: 95%;
    overflow-wrap: break-word;
}

#loader_progress {
    position: absolute;
    top: 0;
    left: 0;
    background-color: #1ed4ea;
    height: 3vmin;
}

.green_button {
    position: absolute;
    top: 120%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    color: white;
    background-color: #58920a;
    border-radius: 5px;
    padding: 1.5vmin 6vmin;
    border: none;
    margin-top: 30px;
    font-size: 3.2vmin;
    cursor: pointer;
}

.hidden {
    display: none;
}

.rules {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    background: rgba(0, 0, 0, 0.75);
}

.rules .wrapper {
    position: absolute;
    width: 75%;
    height: 75%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #edeef0;
}

.rules .wrapper .header {
    position: relative;
    width: 100%;
    height: 10%;
    background: #986221;
}

.rules .wrapper .preloader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.rules .wrapper .content {
    width: 100%;
    height: 90%;
    border: none;
}

.close {
    position: absolute;
    top: 50%;
    left: 95%;
    transform: translate(-50%, -50%);
    width: 1.5em;
    height: 1.5em;
}

.close:hover {
    opacity: 1;
}

.close:before, .close:after {
    position: absolute;
    left: 0.5em;
    content: ' ';
    height: 1.5em;
    width: 0.2em;
    background-color: #f8e71b;
}

.close:before {
    transform: rotate(45deg);
}

.close:after {
    transform: rotate(-45deg);
}

.spinner {
    margin: 100px auto;
    width: 50px;
    height: 40px;
    text-align: center;
    font-size: 10px;
}

.spinner > div {
    background-color: #333;
    height: 100%;
    width: 6px;
    display: inline-block;

    -webkit-animation: sk-stretchdelay 1.2s infinite ease-in-out;
    animation: sk-stretchdelay 1.2s infinite ease-in-out;
}

.spinner .rect2 {
    -webkit-animation-delay: -1.1s;
    animation-delay: -1.1s;
}

.spinner .rect3 {
    -webkit-animation-delay: -1.0s;
    animation-delay: -1.0s;
}

.spinner .rect4 {
    -webkit-animation-delay: -0.9s;
    animation-delay: -0.9s;
}

.spinner .rect5 {
    -webkit-animation-delay: -0.8s;
    animation-delay: -0.8s;
}

@-webkit-keyframes sk-stretchdelay {
    0%, 40%, 100% {
        -webkit-transform: scaleY(0.4)
    }
    20% {
        -webkit-transform: scaleY(1.0)
    }
}

@keyframes sk-stretchdelay {
    0%, 40%, 100% {
        transform: scaleY(0.4);
        -webkit-transform: scaleY(0.4);
    }
    20% {
        transform: scaleY(1.0);
        -webkit-transform: scaleY(1.0);
    }
}
